using System;

namespace vage
{
    class Program
    {
        static int Odgovor(int donjaVaga, int gornjaVaga, int[] dg, int[] gg, int t)
        {
            int brVaga = 0;
            for(int i = donjaVaga - 1; i <= gornjaVaga - 1; i++)
            {
                if (dg[i] <= t && gg[i] >= t) brVaga++;
            }

            return brVaga;
        }

        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);

            int[] donjeGranice = new int[n];
            int[] gornjeGranice = new int[n];

            for(int i = 0;i < n; i++)
            {
                s = Console.ReadLine().Split(' ');
                donjeGranice[i] = int.Parse(s[0]);
                gornjeGranice[i] = int.Parse(s[1]);
            }

            int[] donjiIndeksi = new int[m];
            int[] gornjiIndeksi = new int[m];
            int[] tezine = new int[m];

            for(int i = 0;i < m; i++)
            {
                s = Console.ReadLine().Split(' ');
                donjiIndeksi[i] = int.Parse(s[0]);
                gornjiIndeksi[i] = int.Parse(s[1]);
                tezine[i] = int.Parse(s[2]);
            }

            for(int i = 0;i < m; i++)
            {
                Console.WriteLine(Odgovor(donjiIndeksi[i], gornjiIndeksi[i], donjeGranice, gornjeGranice, tezine[i]));
            }
        }
    }
}